Bug 169728 - Canon pixma IP1500 needs a proper driver
Canon pixma IP1500 needs a proper driver
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-02 06:24 EDT by stef
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 08:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stef 2005-10-02 06:24:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; fr; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
the very popular and cheap printer Canon Pixma IP1500 doesn't have a driver in CUPS.
So if you plug it or turn it on you'll get the printer list appear saying to select manually your printer, unfortunately none of the printers listed work (no compatible type).
Fortunately there is a way to make it work that can be found here http://www.lowlevel.cz/log/pivot/entry.php?id=40 and here http://www.fedoraforum.org/forum/showthread.php?t=25880&goto=nextoldest .

It works but now problems are : 
-you have to get into the Cups daemon config page at http://localhost:631/ to manage the printer and of course use the root password (no good for workstation with multiple user, too many people knowing the root password around)
-we still have the window with printer list nagging you when turning on the printer
-the egg-cups daemon crashes and a window asking for restart or drop the process pops-up
-sometimes the printer must be recreated, it just stop working without warning

Another solution (I have nottested yet) is to get the TurboPrint driver (http://www.turboprint.de/english.html), but there are license fees for a multiple users usage (at least there is a free edition for private use).

I really hope this driver will be integrated soon in the cups printing system so that it just be detected and work like any other recognized printer without any more questions.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.turn you Linux on
2.log in
3.turn on or plug the printer
  

Actual Results:  a Cups related window appears asking to manually choose the printer (wich is not in the list)

Expected Results:  no message, no window, it just work

Additional info:
Comment 1 Tim Waugh 2005-10-17 08:03:01 EDT
License seems okay from a cursory glance.  No time to do this for FC5 though.

I would like to see someone make a Fedora Extras package first, to iron out
problems.

Note You need to log in before you can comment on or make changes to this bug.